#!/bin/sh

# This shell script removes NFTP binaries and support files

# Set defaults

TARGETBIN="/usr/local/bin"
TARGETLIB="/usr/local/lib/nftp"
TARGETDOC="/usr/doc/nftp"
TARGETMAN="/usr/man/mann"

# Issue a message for user and wait for decision

clear
echo
echo "NFTP deinstallation. Must be run as super-user."
echo
echo "This script will REMOVE the following files:"
echo
echo $TARGETBIN"/nftp              - NFTP executable"
echo $TARGETLIB"/nls/*        - National language support files"
echo $TARGETLIB"/nftp.i       - Global template for initialization file"
echo $TARGETLIB"/keynames     - Keynames executable"
echo $TARGETLIB"/uninstall.sh - script for uninstalling NFTP"
echo $TARGETMAN"/nftp.1             - man page for NFTP"
echo $TARGETDOC"/*                  - documentation"
echo
echo "Subdirectory " $TARGETLIB " will not be deleted,"
ecgo "and your personal files in ~/.nftp will be kept intact."

echo "Press ENTER to continue, or Ctrl-C to cancel"
read x

# Remove everything

echo "Deleting executables: "
files = $TARGETBIN/nftp $TARGETLIB/keynames $TARGETLIB/nftp.i
echo $files
rm -f $files

echo "Deleting NLS files: "
files = $TARGETLIB/nls/*.nls $TARGETLIB/nls/*.dos
echo $files
rm -f $files

echo "Deleting manual page and HTML documentation: "
files = $TARGETMAN/nftp.1 $TARGETDOC/*.html $TARGETDOC/readme.*
echo $files
rm -f $files

echo "Deinstallation is complete."
